# class KDoubleNumInput | An input control for real numbers, consisting of a spinbox and a slider. More...
Definition | `#include <knuminput.h>`
Inherits | KNumInput [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDoubleNumInput (QWidget *parent=0, const char *name=0)
- KDoubleNumInput (double value, QWidget *parent=0, const char *name=0)
- virtual ~KDoubleNumInput ()
- KDoubleNumInput (KNumInput* below, double value, QWidget* parent=0, const char* name=0)
- double value () const
- QString suffix () const
- QString prefix () const
- const char * format () const
- QString specialValueText () const
- void setRange (double lower, double upper, double step=1, bool slider=true)
- void setFormat (const char* format)
- void setSpecialValueText (const QString& text)

#### Public Slots

- void setValue (double)
- void setSuffix (const QString &suffix)
- void setPrefix (const QString &prefix)

#### Signals

- void valueChanged (double)

#### Protected Methods

- virtual void resetEditBox ()

#### Protected Members

- KDoubleLine* edit
- bool m_range
- double m_lower
- double m_upper
- double m_step
- QSize m_sizeEdit
- friend class KDoubleLine

## Detailed Description

KDoubleNumInput combines a QSpinBox and optionally a QSlider with a label to make an easy to use control for setting some float parameter. This is especially nice for configuration dialogs, which can have many such combinated controls.

The slider is created only when the user specifies a range for the control using the setRange function with the slider parameter set to "true".

A special feature of KDoubleNumInput, designed specifically for the situation when there are several KDoubleNumInputs in a column, is that you can specify what portion of the control is taken by the QSpinBox (the remaining portion is used by the slider). This makes it very simple to have all the sliders in a column be the same size.

It uses KDoubleValidator validator class. KDoubleNumInput enforces the value to be in the given range.

See also: KIntNumInput

KDoubleNumInput (QWidget *parent=0, const char *name=0) | ### KDoubleNumInput

Constructs an input control for double values with initial value 0.0.

KDoubleNumInput (double value, QWidget *parent=0, const char *name=0) | ### KDoubleNumInput

Constructor

Parameters:

value | initial value for the control
parent | parent QWidget
name | internal name for this widget

~KDoubleNumInput () | ### ~KDoubleNumInput

[virtual]

destructor

KDoubleNumInput (KNumInput* below, double value, QWidget* parent=0, const char* name=0) | ### KDoubleNumInput

Constructor

put it below other KNumInput

Parameters:

value | initial value for the control
parent | parent QWidget
name | internal name for this widget

double value () | ### value

[const]

Returns: the current value.

QString suffix () | ### suffix

[const]

Returns: the suffix.

See also: setSuffix()

QString prefix () | ### prefix

[const]

Returns: the prefix.

See also: setPrefix()

const char * format () | ### format

[const]

Returns: the format.

See also: setFormat()

QString specialValueText () | ### specialValueText

[const]

Returns: the string displayed for a special value.

See also: setSpecialValueText()

void setRange (double lower, double upper, double step=1, bool slider=true) | ### setRange

Parameters:

lower | lower bound on range
upper | upper bound on range
step | step size for the QSlider

void setFormat (const char* format) | ### setFormat

Sets the format string that should be used to display the double value. The format string follows the same rules as the printf() function or QString::sprintf(). You can use this if you want to set the number of digits to be displayed, etc.

void setSpecialValueText (const QString& text) | ### setSpecialValueText

Sets the special value text. If set, the spin box will display this text instead of the numeric value whenever the current value is equal to minVal(). Typically this is used for indicating that the choice has a special (default) meaning.

void setLabel (QString label, int a = AlignLeft | AlignTop) | ### setLabel

[virtual]

Reimplemented from KNumInput for internal purposes..

QSize minimumSizeHint () | ### minimumSizeHint

[const virtual]

Reimplemented from QWidget for internal purposes..

bool eventFilter (QObject*, QEvent*) | ### eventFilter

[virtual]

void setValue (double) | ### setValue

[slot]

Sets the value of the control.

void setSuffix (const QString &suffix) | ### setSuffix

[slot]

Sets the suffix to be displayed to `suffix`. Use QString::null to disable this feature. Note that the suffix is attached to the value without any spacing. So if you prefer to display a space separator, set suffix to something like " cm".

See also: setSuffix()

void setPrefix (const QString &prefix) | ### setPrefix

[slot]

Sets the prefix to be displayed to `prefix`. Use QString::null to disable this feature. Note that the prefix is attached to the value without any spacing.

See also: setPrefix()

void valueChanged (double) | ### valueChanged

[signal]

Emitted every time the value changes (by calling setValue() or by user interaction).

void doLayout () | ### doLayout

[protected virtual]

Reimplemented from KNumInput for internal purposes..

void resizeEvent ( QResizeEvent * ) | ### resizeEvent

[protected]

Reimplemented from QWidget for internal purposes..

void resetEditBox () | ### resetEditBox

[protected virtual]

KDoubleLine* edit | ### edit

[protected]

bool m_range | ### m_range

[protected]

double m_lower | ### m_lower

[protected]

double m_upper | ### m_upper

[protected]

double m_step | ### m_step

[protected]

QSize m_sizeEdit | ### m_sizeEdit

[protected]

friend class KDoubleLine | ### KDoubleLine

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.